package com.xyzshell.andinfo.libs.gpu.models

enum class VkVendorId(val id: Long) {
    KHRONOS(0x10001),
    VIV(0x10002),
    VSI(0x10003),
    KAZAN(0x10004),
    CODEPLAY(0x10005),
    MESA(0x10006),
    POCL(0x10007),
    MOBILEYE(0x10008),
    ;

    companion object {
        fun fromId(id: Long) = values().firstOrNull { it.id == id }
    }
}
